<?php session_start();

	require '../script_php/conexao.php';
	include_once("../script_php/conexaoSQL.php");
	include_once("calculoDias.php");
	require_once 'Sqlserver.php';
	require_once 'exportar.php';
	require_once 'apagar_arquivos.php';


	/*

/* REFATORAR ESSE CODIGO PARA REDUZIR A QUANTIDADE DE METODOS DE RECEBIMENTOS
esse codigo imprime os dados vindos de vendas dos paineis index e black
por isso tem essa variavel para controlar o que vem de cada lular
*/
$baixar =0;
//se vir do painel 
$baixar = filter_var(isset($_GET['painel']), FILTER_SANITIZE_STRING);

//se vir do painel preencher assim
if ($baixar == 1){

$user = $_SESSION['usuario'];
$loja = $_GET['loja'];
$baixarDownload = $loja;
$fabricante = $_GET['fabricante'];
$datainicio = filter_var($_GET['inicio'], FILTER_SANITIZE_STRING);
$datafinal = filter_var( $_GET['final'], FILTER_SANITIZE_STRING);
$datainicio1 = $datainicio;
$datafinal1 = $datafinal;
$user = $_SESSION['usuario'];
$acrescentar = null;
$pastaDeDestino = 'C:\xampp2\htdocs\chronos\recebimento\gerador\arquivos\usuario'.$user;
$mostrarabc = "nao";
$mostrarestoque = "sim";
$mostrarprod = "nao";
$contador = 0;
$quandidadeLojas = 6;
$mostrarCompras = "nao";

gerarRealtorio($baixarDownload,
				$fabricante,
				$mostrarabc,
				$datainicio,
				$datafinal,
				$user,
				$conexao,
				$loja,
				$datainicio1,
				$datafinal1,
				$mostrarprod,
				$mostrarestoque,
				$contador,
				$acrescentar,
				$pastaDeDestino,
				$mostrarCompras
				);

//SE AO VIER DOS PAINEIS MAS SIM DO FORMULARIO DE VENDAS
}else{
	
    $user = $_SESSION['usuario'];
	$datainicio = filter_var($_POST['inicio'], FILTER_SANITIZE_STRING);
	$datafinal = filter_var( $_POST['final'], FILTER_SANITIZE_STRING);
	$mostrarestoque = filter_var( $_POST['mostrarestoque'], FILTER_SANITIZE_STRING);
	$serie = $_POST['serie'];
	$loja = filter_var($_POST['loja'], FILTER_SANITIZE_STRING);
	$fabricante = filter_var($_POST['fabricante'], FILTER_SANITIZE_STRING);
	$baixarDownload = $loja;
	$baixarDownload2 = 'TODAS'; // forçar baixar mesmo se for escolhida uma loja
	$acrescentar = filter_var($_POST['acrescentar'], FILTER_SANITIZE_STRING);
	$mostrarprod = filter_var($_POST['mostrarprod'], FILTER_SANITIZE_STRING);
	$mostrarabc = filter_var($_POST['mostrarabc'], FILTER_SANITIZE_STRING);

	$procentagem = floatval($acrescentar) / 100;
	
	$aculmulado = 0;
	$aculmulado1 = 0;
	$lojaRelatorio = "";
	$datainicio1 = implode("/",array_reverse(explode("-",$datainicio)));
	$datafinal1 = implode("/",array_reverse(explode("-",$datafinal)));
	$today = date("d-m-Y");
	$contador = 0;
	$pastaDeDestino = 'C:\xampp2\htdocs\chronos\recebimento\gerador\arquivos\usuario'.$user;
	$orientacao = $_POST['orientacao'];
	$mostrarcompras = $_POST['mostrarcompras'];//variavel que recebe o valor de mostrarcompras
	$valorcalculodesconto = $_POST['valorcalculodesconto']; //variavel que recebe o valor do percentual a calcular do valor bruto
    $mostrarsec = $_POST['mostrarsec'];
	$quandidadeLojas = 6;
	$ordenacao = $_POST['ordenacao'];
	$sequenciaSemAbc = $_POST['sequencia'];
	


	//recebe o grupo caso nao seja selecionado grupo sera todos caso seja todos o sql tera regra para buscar todos
	$grupo = $_POST['grupo'];
	//se o grupo nao foi selecionado ele deixa como default o selcione se for selecione serao todos os grupos
	if($grupo == 'SELECIONE'){
		//grupo recebe todos
		$grupo = 'TODOS';
	}



		//recebe o grupo caso nao seja selecionado grupo sera todos caso seja todos o sql tera regra para buscar todos
		$grupoexcluir = $_POST['grupoexcluir'];
		//se o grupo nao foi selecionado ele deixa como default o selcione se for selecione serao todos os grupos
		

		





     $maximo = $_POST['maximo'];//valor maximo a listar
    if(isset($maximo)){}else{$maximo=false;}

	//apagar todos os arquivos da pasta
	deleteDirectory($pastaDeDestino);
	//criar pasta
	mkdir('arquivos\usuario'.$user, 0755, true);

	$fabricante = strtoupper($fabricante);

	if(empty($serie)){
		$serie = 0;
	}else{

		$dados_fabricante = explode(" / ", $serie);

	}

	//nome do arquivo zip que sera baixado
	if($serie !== 0){
		$nome_arquivo = 'ARQUIVO_BAIXADO';
	}else{
		$nome_arquivo = $fabricante;
	}
	
	//BAIXA CASO NAO SEJA FABRICANTES EM SEIRIE
	
	if(($loja == 'TODAS') && ($serie === 0)){

	//PERCORRE AS LOJAS
	for ($repetir = 1; $repetir <= $quandidadeLojas ; $repetir++)
	{
		//INICIALIZA A VARIAVEL LOJA
		$loja = 'LOJA 0';
	//SE FOR LOJA 1 TROCAR PARA MATRIZ
		if($repetir == 1){
			$loja = 'MATRIZ';
		//SENAO COLOCAR O NUMERO DA LOJA NA VARIAVEL LOJA
		}else{
			$loja = $loja . $repetir;    	
		}

	//funcao que gera o arquivo
   gerarRealtorio($baixarDownload,
					$fabricante,
					$mostrarabc,
					$datainicio,
					$datafinal,
					$user,
					$conexao,
					$loja,
					$datainicio1,
					$datafinal1,
					$mostrarprod,
					$mostrarestoque,
					$contador,
					$acrescentar,
					$pastaDeDestino,
					$mostrarcompras,
                    $valorcalculodesconto,
                    $maximo,
                    $mostrarsec,
					$sequenciaSemAbc,
					$ordenacao,
					$orientacao,
					$grupo,
					$grupoexcluir
					);

	}
	//require_once 'baixar.php';

    //$zipFileName = 'arquivos.zip';
	//baixei
	//baixarAquivo($pastaDeDestino,$zipFileName);
	

//se escolheu uma loja
}elseif (($loja <> 'TODAS') && ($serie === 0)){
	
   gerarRealtorio($baixarDownload,
				$fabricante,
				$mostrarabc,
				$datainicio,
				$datafinal,
				$user,
				$conexao,
				$loja,
				$datainicio1,
				$datafinal1,
				$mostrarprod,
				$mostrarestoque,
				$contador,
				$acrescentar,
				$pastaDeDestino,
				
				$mostrarcompras,
				$valorcalculodesconto,
                $maximo,
                $mostrarsec,
				$sequenciaSemAbc,
				$ordenacao,
				$orientacao,
				$grupo,
				$grupoexcluir
				);
}

//FAZER RELATORIOS EM SERIE //////////////////////////////////////////////

if(($loja == 'TODAS') && ($serie !== 0)){

    // CRIANDO A ESTRUTURA DE PASTAS

    //alterando a pasta destino
    $pastaDeDestino = 'C:\xampp2\htdocs\chronos\recebimento\gerador\arquivos\usuario'.$user.'\RELATORIOS';

    //apagar todos os arquivos da pasta
    deleteDirectory($pastaDeDestino);
    //PERCORRE AS LOJAS
    for ($repetir = 1; $repetir <= $quandidadeLojas ; $repetir++) {
        //INICIALIZA A VARIAVEL LOJA
        $loja = 'LOJA 0';
        //SE FOR LOJA 1 TROCAR PARA MATRIZ
        if ($repetir == 1) {
            $loja = 'MATRIZ';
            //SENAO COLOCAR O NUMERO DA LOJA NA VARIAVEL LOJA
        } else {
            $loja = $loja . $repetir;
        }

        $separador = "\\";
        //criar pasta
        mkdir('arquivos\usuario'.$user.$separador.'RELATORIOS'.$separador .$loja, 0755, true);

    }
    //FIM DA CRIAÇÃO DA ESTRUTURA DE PASTAS

	//PERCORRE AS LOJAS
	for ($repetir = 1; $repetir <= $quandidadeLojas ; $repetir++)
	{
		//INICIALIZA A VARIAVEL LOJA
		$loja = 'LOJA 0';
		//SE FOR LOJA 1 TROCAR PARA MATRIZ
		if($repetir == 1){
			$loja = 'MATRIZ';
		//SENAO COLOCAR O NUMERO DA LOJA NA VARIAVEL LOJA
		}else{
			$loja = $loja . $repetir;    	
		}

	//PERCORRER OS FABRICANTES
	$percorrer = 0;
	while ($percorrer < count($dados_fabricante))
	{	//trocar o fabricante para o fabricante do loop
		$fabricante = $dados_fabricante[$percorrer];

        $pastaDeDestino2 = $pastaDeDestino.$separador.$loja;
		
		//funcao que gera o arquivo
		gerarRealtorio($baixarDownload,
						$fabricante,
						$mostrarabc,
						$datainicio,
						$datafinal,
						$user,
						$conexao,
						$loja,
						$datainicio1,
						$datafinal1,
						$mostrarprod,
						$mostrarestoque,
						$contador,
						$acrescentar,
						$pastaDeDestino2,
						$mostrarcompras,
						$valorcalculodesconto,
                        $maximo,
                        $mostrarsec,
						$sequenciaSemAbc,
						$ordenacao,
						$orientacao,
						$grupo,
						$grupoexcluir
					);
   		$percorrer++;
	}
}
	
//se escolheu uma loja e digitei fabricantes em serie
}elseif (($loja <> 'TODAS') && ($serie !== 0)){

    //PERCORRER OS FABRICANTES
	$percorrer = 0;
	while ($percorrer < count($dados_fabricante))
	{
	 $fabricante = $dados_fabricante[$percorrer];
	 
    //implementar cogigo aqui
     gerarRealtorio($baixarDownload2,
					$fabricante,
					$mostrarabc,
					$datainicio,
					$datafinal,
					$user,
					$conexao,
					$loja,
					$datainicio1,
					$datafinal1,
					$mostrarprod,
					$mostrarestoque,
					$contador,
					$acrescentar,
					$pastaDeDestino,
					$mostrarcompras,
					$valorcalculodesconto,
                    $maximo,
                    $mostrarsec,
					$sequenciaSemAbc,
					$ordenacao,
					$orientacao,
					$grupo,
					$grupoexcluir
					);
 	$percorrer++;
	}
}
header("Location: baixar.php?fabricante=$nome_arquivo");
}